org.osgi.util.converter

## Interface ConverterFunction

    @ConsumerType
    public interface ConverterFunction

An functional interface with a convert method that is passed the original object and the target type to perform a custom conversion.

This interface can also be used to register a custom error handler.

Author:
  $Id$

### Field Summary

Fields
`static Object` `CANNOT_HANDLE` Special object to indicate that a custom converter rule or error handler cannot handle the conversion.

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `apply(Object obj, Type targetType)` Convert the object into the target type.

### Field Detail

#### CANNOT_HANDLE

    static final Object CANNOT_HANDLE

Special object to indicate that a custom converter rule or error handler cannot handle the conversion.

### Method Detail

#### apply

    Object apply(Object obj,
                 Type targetType)
          throws Exception

Convert the object into the target type.

Parameters:
  `obj` - The object to be converted. This object will never be `null` as the convert function will not be invoked for null values.
  `targetType` - The target type.
Returns:
  The conversion result or `CANNOT_HANDLE` to indicate that the convert function cannot handle this conversion. In this case the next matching rule or parent converter will be given a opportunity to convert.
Throws:
  `Exception` - the operation can throw an exception if the conversion can not be performed due to incompatible types.